2

I have a clean install of OSx Yosemite Beta 5, with homebrew install of QGIS 2.4 and all its basic dependencies.

-QGIS version 2.4.0-Chugiak
-QGIS code revision exported -Compiled against Qt 4.8.6
-Running against Qt 4.8.6 -Compiled against GDAL/OGR 1.11.1
-Running against GDAL/OGR 1.11.1 -Compiled against GEOS 3.4.2-CAPI-1.8.2
-Running against GEOS 3.4.2-CAPI-1.8.2 r3921 -PostgreSQL Client Version 9.3.5
-SpatiaLite Version 4.2.0 -QWT Version 6.1.1
-PROJ.4 Version 480 -QScintilla2 Version 2.8.3

Am able to load QGIS with no errors thrown, and can view shapefiles, connect to postgres, etc, but can only add new shapefiles if done through the 'Layer - Add Vector Layer' workflow. Dragging and dropping into QGIS results in:

  • 'Invalid Data Source:/.file/id=6571367..... is not a valid or recognized data source

I am also unable to use SPIT to import shapefiles into postgres:

  • Problem inserting features from file:/xxxxx/xx.shp

closed as off-topic by PolyGeo Oct 13 '15 at 5:47

This question appears to be off-topic. The users who voted to close gave this specific reason:

  • "Questions describing a problem that can't be reproduced and seemingly went away on its own (or went away when a typo was fixed) are off-topic as they are unlikely to help future readers." – PolyGeo
If this question can be reworded to fit the rules in the help center, please edit the question.

  • Why did you use Yosemite (beta for developers) and not a stable version (Mavericks for example ?) – gene Oct 13 '14 at 14:54
  • I'm getting the same error when dragging and dropping files onto QGIS 2.8 installed using homebrew on 10.10.2 (which is now stable) – Snorfalorpagus Apr 1 '15 at 9:50
  • QGIS bug report is here (hub.qgis.org/issues/11399) but this appears to be a bug in Qt rather than QGIS specifically (bugreports.qt.io/browse/QTBUG-40449). – Snorfalorpagus Apr 1 '15 at 9:56

Browse other questions tagged or ask your own question.